Show / Hide Table of Contents

# AsyncTransformParentChangedTrigger Class

###### Namespace: Cysharp.Threading.Tasks.Triggers

###### Assembly: cs.temp.dll.dll

    public sealed class AsyncTransformParentChangedTrigger : AsyncTriggerBase<AsyncUnit>, IUniTaskAsyncEnumerable<AsyncUnit>

##### Inheritance

System.Object → AsyncTriggerBase<AsyncUnit> → AsyncTransformParentChangedTrigger

##### Implements

IUniTaskAsyncEnumerable<AsyncUnit>

### Members

#### Methods

Name | Description
--- | ---
GetOnTransformParentChangedAsyncHandler() |
GetOnTransformParentChangedAsyncHandler(CancellationToken) |
OnTransformParentChangedAsync() |
OnTransformParentChangedAsync(CancellationToken) |

### Methods

#### GetOnTransformParentChangedAsyncHandler()

    public IAsyncOnTransformParentChangedHandler GetOnTransformParentChangedAsyncHandler()

##### Returns

IAsyncOnTransformParentChangedHandler

#### GetOnTransformParentChangedAsyncHandler(CancellationToken)

    public IAsyncOnTransformParentChangedHandler GetOnTransformParentChangedAsyncHandler(CancellationToken cancellationToken)

##### Parameters

`cancellationToken` CancellationToken

##### Returns

IAsyncOnTransformParentChangedHandler

#### OnTransformParentChangedAsync()

    public UniTask OnTransformParentChangedAsync()

##### Returns

UniTask

#### OnTransformParentChangedAsync(CancellationToken)

    public UniTask OnTransformParentChangedAsync(CancellationToken cancellationToken)

##### Parameters

`cancellationToken` CancellationToken

##### Returns

UniTask

### Implements

IUniTaskAsyncEnumerable<T>